Package com.verisign.epp.interfaces.validate.v02

## Class EPPValidateTst

- java.lang.Object
- - com.verisign.epp.interfaces.validate.v02.EPPValidateTst

-     public class EPPValidateTst
      extends java.lang.Object

  Is a unit test of the `EPPValidate` class. The unit test will initialize a session with an EPP Server, will invoke `EPPValidate` check operation, and will end a session with an EPP Server. The configuration file used by the unit test defaults to epp.config, but can be changed by passing the file path as the first command line argument. The unit test can be run in multiple threads by setting the "threads" system property. For example, the unit test can be run in 2 threads with the configuration file ../../epp.config with the following command:
  java com.verisign.epp.interfaces.EPPValidateTst -Dthreads=2 ../../epp.config

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPValidateTst()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `beforeClass()` | JUNIT `suite` static method, which returns the tests associated with `EPPValidateTst`.
    `void` | `handleException​(java.lang.Exception aException)` | Handle an `EPPCommandException`, which can be either a server generated error or a general exception.
    `java.lang.String` | `makeContactName()` | Makes a unique contact name using the current time.
    `void` | `setUp()` | JUNIT `setUp` method, which sets the default client Id to "theRegistrar".
    `void` | `tearDown()` | JUNIT `tearDown`, which currently does nothing.
    `void` | `testValidate()` | JUNIT test method to implement the `EPPValidateTst TestCase`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPValidateTst

          public EPPValidateTst()

  - ### Method Detail

    - #### testValidate

          public void testValidate()

      JUNIT test method to implement the `EPPValidateTst TestCase`. Each sub-test will be invoked in order to satisfy testing the EPPValidate interface.

    - #### setUp

          public void setUp()

      JUNIT `setUp` method, which sets the default client Id to "theRegistrar".

    - #### tearDown

          public void tearDown()

      JUNIT `tearDown`, which currently does nothing.

    - #### beforeClass

          public static void beforeClass()

      JUNIT `suite` static method, which returns the tests associated with `EPPValidateTst`.

    - #### handleException

          public void handleException​(java.lang.Exception aException)

      Handle an `EPPCommandException`, which can be either a server generated error or a general exception. If the exception was caused by a server error, "Server Error :<Response XML>" will be specified. If the exception was caused by a general algorithm error, "General Error :<Exception Description>" will be specified.
      Parameters:
        `aException` - Exception thrown during test

    - #### makeContactName

          public java.lang.String makeContactName()

      Makes a unique contact name using the current time.
      Returns:
        Unique contact name `String`